"""add can_manual_time_entry to users

Revision ID: 0019
Revises: 0018
Create Date: 2026-04-06
"""
from alembic import op
import sqlalchemy as sa

revision = "0019"
down_revision = "0018_kiosk_devices"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column(
        "users",
        sa.Column("can_manual_time_entry", sa.Boolean(), nullable=False, server_default="false"),
    )


def downgrade() -> None:
    op.drop_column("users", "can_manual_time_entry")
